Package ru.bgcrm.plugin.bgbilling.proto.model

# Class Contract

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.SearchableIdTitle
ru.bgcrm.plugin.bgbilling.proto.model.Contract

All Implemented Interfaces:
  `Serializable`, `Comparable<Contract>`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

Direct Known Subclasses:
  `ContractInfo`

public class Contract extends SearchableIdTitle implements Comparable<Contract>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OBJECT_TYPE`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Contract()`
  `Contract(String billingId, int id, String title, String comment)`
  `Contract(CommonObjectLink contractLink)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Contract o)`
  `boolean`
  `equals(Object obj)`
  `String`
  `getBillingId()`
  `String`
  `getComment()`
  `int`
  `hashCode()`
  `void`
  `setBillingId(String billingId)`
  `void`
  `setComment(String comment)`

  ### Methods inherited from class ru.bgcrm.model.SearchableIdTitle

  `getSearchMode, setSearchMode`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `getId, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### OBJECT_TYPE

    public static final String OBJECT_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Contract

    public Contract()

  - ### Contract

    public Contract(CommonObjectLink contractLink)

  - ### Contract

    public Contract(String billingId, int id, String title, String comment)

- ## Method Details

  - ### getBillingId

    public String getBillingId()

  - ### setBillingId

    public void setBillingId(String billingId)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### compareTo

    public int compareTo(Contract o)
    Specified by:
      `compareTo` in interface `Comparable<Contract>`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Id`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Id`